# Binkd sample configuration file
# Copyright (C) 1996-1997 Dima Maloff, 2:5047/13
# Copyright (C) 1998-2009 Binkd Development Team
# $Id: binkd.cfg,v 2.13.2.9 2011/08/17 15:44:48 stas Exp $

# Dump configuration (and not exit). Use for debugging only,
#debugcfg

#
# Deine FTN Domains
#
# Format:   domain <domainname> [</path/to/outbound>] [<default zone>]
# oder:     domain <aliasname> alias-for <domainname>
#
domain fidonet /var/spool/ftn/outb 2
domain fidonet.org alias-for fidonet
domain fidonet.net alias-for fidonet
domain fidonet.rus alias-for fidonet
domain fido alias-for fidonet
domain fidorus     alias-for fidonet
domain fido7       alias-for fidonet

domain ger-bbs /var/spool/ftn/outb 2
domain gerbbs alias-for ger-bbs
domain ger.bbs alias-for ger-bbs

#
# Deine Adressen / AKAs (4D oder 5D)
#
# Format:   address <aka1@domain> <aka2@domain> ...
#
address 2:240/5853@fidonet 75:18/6@ger-bbs

#
# Systemname, Ort und Dein Name
#
sysname "Kuehlbox"
location "Ranstadt, Germany"
sysop "Philipp Giebel"

#
# System Faehigkeiten
#
# Format:   nodeinfo <Geschwindigkeit>,<Transportprotokoll>,<Anwendungsprotokoll>
#
nodeinfo 115200,TCP,BINKP

#
# TCP Einstellungen. Nichts ändern wenn Du nicht sicher bist
#
#iport binkp
#oport binkp
#oblksize 4096
#timeout 300
#connect-timeout 300
#bindaddr 192.168.0.3

#
# HTTPS oder SOCKS Einstellungen.
#
# Format:   proxy <ip>:<port>
#
#proxy 192.168.0.3:3128

#
# Binkd haelt alle Nachrichten fuer 5 Sekunden, 
# die vom Node uebersprungen wurden.
#
# Format:   hold-skipped 3600
#
#hold-skipped 3600

#
# Keine Nachrichten senden, wenn eingehende Session nicht
# Passwortgeschuetzt ist.
#
# Format: send-if-pwd
#		
send-if-pwd

#
# Pfad und Name des LogfilesPath, Loglevel.
#
# Format:   LogfilesPath </path/to/your/log.file
#           LogLevel [0-10]
#
log /var/log/binkd/binkd
loglevel 4

#
# BinkD auf die Konsole loggen lassen.
# (Nicht bei Start über init-script)
#
# Format:   ConLog [0-10]
#
conlog 4

#
# Aktiviere die folgenden Zeilen, wenn Du T-Mail (FrontDoor)-Style
# Binaer-Logs moechtest
# Tzoff korrigiert die UTC Zeit von time() in DOS-Nachfahren
#
#binlog binkd.sts
#fdinhist in.his
#fdouthist out.his
#tzoff 10800

#
# Nach Syslog loggen
#
# Format:   syslog <facility>
#
#syslog local0

#
# Bei Uebertragungen Prozente anzeigen
#
# Format:   percents
#
percents

#
# Nach Rescans Queue anzeigen. Produziert extra Informationen auf der Konsole
#
# Format: printq
#
printq

#
# In Logfiles IPs in Hostnamen umwandeln
#
# Format:   backresolv
#
backresolv

#
# PID:
#
# Format:   pid-file </path/to/binkd.pid>
#
pid-file /var/run/ftn/binkd.pid

#
# Pfade in FLO-Files umschreiben.
# Praktisch wenn Mailer und Tosser auf unterschiedlichen
# Systemen laufen.
# Achtung: "\" als Verzeichnistrenner müssen mit einem weiteren
# "\" escaped werden: "\\"
# Es koennen so viele ftrans Angaben gemacht werden, wie Du willst.
#
# Format:   ftrans <suche> <ersetze>
#
#ftrans "D:\\fido\\outbound" "/var/spool/fido/outb"
#ftrans "\\" "/" # this replaces all slashes in a path

#
# Eingangsverzeichnis fuer sichere und unsichere Verbindungen
#
# Format:   inbound </pfad/zum/inbound/verzeichnis>
#           inbound-nonsecure </pfad/zum/unsecure/inbound/verzeichnis>
#
inbound /var/spool/ftn/inb
inbound-nonsecure /var/spool/ftn/inb/unsecure

#
# Verzeichnis fuer unvollstaendig empfangene Dateien (.hr und .dt),
# Standard: Inbound des Nodes
#
# Format:   temp-inbound </pfad/zum/incomplete/inbound/verzeichnis>
#
#temp-inbound /var/spool/ftn/inb/incomplete

#
# Mindestens freier Plattenplatz (in KB) fuer sicher und unsicher eingehende Dateien.
# groesse_der_naechsten_datei + minfree < freier_plath_in_inbound
#
# Format:   minfree <KB>
#           minfree-nonsecure <KB>
#
minfree 2048
minfree-nonsecure 2048

#
# Loesche vorhandene unvollstaendige Dateien aus dem inbound, wenn
# eine neue mit gleichem Namen aber anderer Groesse oder Zeit ankommt.
# Wenn auskommentiert bleiben unvollstaendige Dateien als .dt und .hr
# im inbound Verzeichnis.
#
# Format:   kill-dup-partial-files
#
kill-dup-partial-files

#			
# Unvollstaendige Dateien nach N Sekunden loeschen. (AUS, wenn auskommentiert)
#
# Format:   kill-old-partial-files <Sekunden>
#
kill-old-partial-files 86400

#
# Zeit in Sekunden, nach der alte .bsy/.csy Dateien geloescht werden, 
# die nach einem Crash zurueckgeblieben sind.
# Ein guter Wert fuer die meisten Systeme ist: 43200 (12 Stunden)
# Achtung: BinkD aktualisiert .bsy und .csy Dateien fuer aktive Verbindungen
# AUS, wenn auskommentiert.
#
# Format:   kill-old-bsy <Sekunden>
#
kill-old-bsy 43200

#
# Flag-Dateien (Semaphoren) erstellen beim Erhalt bestimmter Dateien
# Wildcards * und ? funktionieren.
#
# Format:   flag <Semaphore> <Bedingung 1> <Bedingung 2> <Bedingung 3> ...
#
#flag toss!.now *.pkt
#flag toss!.now *.su? *.mo? *.tu? *.we? *.th? *.fr? *.sa?

flag /var/spool/ftn/flags/tick *.tic *.TIC

#
# Externes Programm starten beim Erhalt bestimmter Dateien
# Das "*S" Makro wird durch S.R.I.F. ersetzt. Siehe !SRIF.TXT
# Ein "!" vor dem Programmpfad bedingt sofortige Ausfuehrung nach Erhalt der Datei
#
# *** win32 only:
# Ein "@" vor dem Programmpfad fuehrt das Programm in einer separaten Konsole aus
# Zwei "@@" vor dem Programmpfad fuehrt das Programm in einer versteckten Konsole aus
# ***
# Makros: *F - Vollstaendiger Name der empfangenen Datei
#         *A0..*A9 - Erste 10 AKAs des entfernten Systems
#         *A*, *A@ - Liste aller AKAs des entfernten Systems, Leerzeichengetrennt
#         *P - Passwortgeschuetzt [0|1],
#         *L - Bekanntes System [0|1]
#         *H - Entfernter hostname oder IP
#         *N - kurzer Dateiname (win32 only).
#
# Format: exec "<Externes Programm inkl. Parameter>" <Bedingung 1> <Bedingung 2> ...
#
#exec "my-freq-processor.exe /options *S" *.req
#exec "my-pkt-unpacker.exe /options *S" *.pkt

exec "/usr/local/sbin/toss.sh" *.su? *.mo? *.tu? *.we? *.th? *.fr? *.sa? *.pkt
exec "/usr/local/sbin/bashreq.sh *S" *.req

#
# Dateien einbinden
#
# Format:   include </pfad/zum/include/file>
#
#include /etc/binkd.inc

#
# Ueberschreibt Domainname aus DNS Lookups
# (siehe "node" unten)
#
# Format:   root-domain <domainname>
#
root-domain bbs.kennmer.net

#
# T-Mail Boxen scannen (kurz und lang)
#
# Format:   filebox </pfad/zur/tmailbox>
#
#filebox   /var/spool/ftn/boxes/tmail
#filebox C:\\FTN\\TMAIL\\BOX

#
# theBrake! Boxen scannen (lang)
#
#brakebox  /var/spool/ftn/boxes/brake
#brakebox C:\\FTN\\BRAKE\\BOX

#
# Soll BinkD leere Boxen loeschen?
# AUS, wenn auskommentiert
#
# Format:   deletebox
#
#deletebox

#
# Postausgang beim Verbinden scannen und Groesse an Remote senden
#
# Format:   prescan
#
prescan

#
# t-mail, ifcico oder qico Passwort Datei
# Format der Passwort Datei:
#   [password]  
# wobei:
#   [password]                       optionales token "password"
#                 Adresse eines Links in der Form 1:2/3.4@domain
#                      oder 1:2/3@domain oder 1:2/3 oder 1:2/3.4
#      Geheimes Passwort (ein Word, keine Leerzeichen oder Tabs)
#
# Anmerkung: Ich verstehe auch kein einziges Wort...
#
# Format:   passwords </pfad/zur/password.lst>
#
#passwords c:\\fido\\t-mail\\password.lst
#passwords /etc/binkd/password.lst

#
# Diese Dateien ueberspringen (zerstoerend)
# Wildcards erlaubt.
#
# Format:   skipmask <Bedingung 1> <Bedingung 2> <Bedingung 3> ...
#
#skipmask pm2*.* *.mp3

#
# Folgende Dateien immer ueberschreiben, wenn neuere empfangen werden
# Nicht mit geaenderter Erweiterung speichern
#
# Format:   overwrite <Bedingung 1> <Bedingung 2> <Bedingung 3> ...
#
#overwrite net_*.*

#
# Gross-/Kleinschreibung im Posteingang
#
#	'save'  Gross-/Kleinschreibung nicht aendern (default)
#	'upper' In Grossbuchstaben umwandeln (FILE-NAME.EXT)
#	'lower' In Kleinbuchstaben umwandeln (file-name.ext)
#	'mixed' huebsch machen (File-Name.Ext)
#
# * nur mit englischen Dateinamen getestet!
#
# Format:   inboundcase [save(default)|upper|lower|mixed]
#
#inboundcase save

#
# Soll BinkD leere Point-Verzeichnisse im BSO loeschen?
# AUS wenn auskommentiert
#
# Format:   deletedirs
#
#deletedirs

#
# Amiga Style Outbound (ASO) verwenden. Benoetigt build mit --with-aso
# In Debian nicht verfuegbar.
#
# Format:   aso
#
#aso

#
# Default node flags.
# Achtung: BinkD verbindet auch zu unbekannten nodes, wenn diese
# Option gesetzt ist.
#
# Format:   defnode <default parameter>
#
#defnode -nr *

#
# Wenn Du eine Nodelist im BinkD-Format hast kannst Du sie hier einbinden
#
include /etc/binkd/bt_ibn.inc

#
# Die Link-Konfiguration in einer separaten Datei
#
include /etc/binkd/binkd.inc
